=== debian/changelog ===
ros-kinetic-multiwii (2.1.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christian Rauch <Rauch.Christian@gmx.de>  Sat, 07 Oct 2017 23:50:05 -0000
